:: ============================================================================
:: Copyright and license info is available in the LICENSE file included with
:: the Server Deployment Package (SDP), and also available online:
:: https://swarm.workshop.perforce.com/projects/perforce-software-sdp/view/main/LICENSE
:: ----------------------------------------------------------------------------
REM Set P4PORT and P4USER and run p4 login before running this script.
REM Also run p4 triggers and put in the SetDefaultDepotSpeMapField.py trigger first as well. 
SET instance=%1

p4 configure set defaultChangeType=restricted
p4 configure set run.users.authorize=1
:: The server.depot.root configurable is valid for P4D 2014.1+
p4 configure set server.depot.root=c:\p4\%instance%\depots
p4 configure set journalPrefix=c:\p4\%instance%\checkpoints\p4_%instance%
:: The db.peeking configurable is valid for P4D 2013.3+
p4 configure set db.peeking=3
p4 configure set dm.user.noautocreate=2
p4 configure set dm.user.resetpassword=1
p4 configure set filesys.P4ROOT.min=5G
p4 configure set filesys.depot.min=5G
p4 configure set filesys.P4JOURNAL.min=5G
p4 configure set monitor=1
p4 configure set server=3

:: 2015.2 - makes client views global in a commit/edge or cluster environment.
p4 configure set server.global.client.views=1

:: For P4D 2013.2+, setting db.reorg.disable=1 has been shown
:: to significantly improve performance when Perforce databases (db.*
:: files) are stored on some solid state storage devices, while not
:: making a difference on others.  It should be considered.
:: p4 configure set db.reorg.disable=1

p4 configure set lbr.bufsize=1M
p4 configure set lbr.autocompress=1
p4 configure set serverlog.file.3=c:\p4\%instance%\logs\errors.csv
p4 configure set serverlog.retain.3=7
p4 configure set serverlog.file.4=c:\p4\%instance%\logs\audit.csv
p4 configure set serverlog.retain.4=45
p4 configure set serverlog.file.7=c:\p4\%instance%\logs\events.csv
p4 configure set serverlog.retain.7=7
p4 configure set serverlog.file.8=c:\p4\%instance%\logs\integrity.csv
p4 configure set serverlog.retain.8=7

@echo "Create a depot named 'spec' of type 'spec'.
@echo "Create a depot named 'unload' of unload 'spec'.

:: For p4d 2013.2+ -Turn off max* commandline overrides.
p4 configure set server.commandlimits=2

@echo See http://www.perforce.com/perforce/doc.current/manuals/p4dist/chapter.replication.html#replication.verifying
@echo if you are also setting up a replica server.
p4 configure set rpl.checksum.auto=1
p4 configure set rpl.checksum.change=2
p4 configure set rpl.checksum.table=1

:: For p4d 2011.1 thru 2015.1, set rpl.compress=3.  For p4d 2015.2+, set
:: rpl.compress=4.  This setting compresses journal data only, which is
:: almost always advantageous as it compresses well, while avoiding
:: compression of archive data, which is a mixed bag in terms of performance
:: benefits, and potentially a net netagive.
p4 configure set rpl.compress=4

p4 counter SDP "%DATE%"

@echo It is recommended that you run 'p4 configure set security=3' or
@echo 'p4 configure set security=4'.
@echo See: http://www.perforce.com/perforce/doc.current/manuals/p4sag/chapter.superuser.html#DB5-49899\n"
